> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reflect.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Get historical exchange rates for a stablecoin

> Retrieve historical base and receipt exchange rates for a specific stablecoin (0: USDC+) and a number of days.



## OpenAPI

````yaml /api-reference/openapi.json get /stablecoin/exchange-rates/historical
openapi: 3.0.3
info:
  title: Reflect API
  description: >-
    Interact with the Reflect infrastructure via API. Retrieve stablecoin and
    protocol stats. Generate transactions for minting and redeeming stablecoins.
    Manage integrations and issue whitelabel stablecoins.


    ## Rate Limiting

    - **Unauthenticated users**: 100 requests per minute

    - **Authenticated integrators**: 500 requests per minute


    ## Authentication

    To access higher rate limits, include your API key in the `X-API-Key`
    header. API keys can be obtained through the integration management
    endpoints.
  version: 1.0.0
  contact:
    name: Reflect
    url: https://reflect.money
servers:
  - url: https://prod.api.reflect.money
    description: Production environment
  - url: https://dev.api.reflect.money
    description: Development environment (includes /tranches endpoints)
security: []
tags:
  - name: Health
    description: Health check endpoints
  - name: Stablecoin
    description: Reflect stablecoins interaction endpoints.
  - name: Integration
    description: Custom integration management endpoints.
  - name: Stats
    description: Protocol statistics endpoints
  - name: Events
    description: Protocol events endpoints
  - name: Tranches - Senior
    description: >-
      Senior tranche endpoints (development API only). Deposit and redeem
      underlying stablecoins, query tranche statistics and exchange rates.
  - name: Tranches - Junior
    description: >-
      Junior tranche endpoints (development API only). Deposit and withdraw
      assets, manage cooldowns, query tranche statistics and exchange rates.
  - name: Tranches
    description: General tranche endpoints (development API only).
paths:
  /stablecoin/exchange-rates/historical:
    get:
      tags:
        - Stablecoin
      summary: Get historical exchange rates for a stablecoin
      description: >-
        Retrieve historical base and receipt exchange rates for a specific
        stablecoin (0: USDC+) and a number of days.
      parameters:
        - name: stablecoin
          in: query
          description: 'Stablecoin index (0: USDC+)'
          required: true
          schema:
            type: integer
        - name: days
          in: query
          description: 'Number of days for historical data (default: 365)'
          required: false
          schema:
            type: integer
            minimum: 1
            default: 365
      responses:
        '200':
          description: Historical exchange rates retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                        stablecoin:
                          type: integer
                        base_usd_value_bps:
                          type: number
                          description: Base exchange rate in bps
                        receipt_usd_value_bps:
                          type: number
                          description: Receipt exchange rate in bps
                        timestamp:
                          type: string
                          format: date-time
                      required:
                        - id
                        - stablecoin
                        - base_usd_value_bps
                        - receipt_usd_value_bps
                        - timestamp
                required:
                  - success
                  - data
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '404':
          description: Stablecoin with the specified index not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestErrorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorResponse'
components:
  schemas:
    BadRequestErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the request was successful
          example: false
        message:
          type: string
          description: Error message describing what went wrong with the request
          example: 'Invalid request data: depositAmount must be positive'
      required:
        - success
        - message
    InternalServerErrorResponse:
      type: object
      properties:
        success:
          type: boolean
          description: Whether the request was successful
          example: false
        message:
          type: string
          description: Error message describing the server error
          example: Internal server error
      required:
        - success
        - message

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.